Notes for VisualAPL Installer for Visual Studio 2008

General discussions related to APLNext's VisualAPL.

Moderators: Tech Support, phpbb_admin

Notes for VisualAPL Installer for Visual Studio 2008

Postby joe_blaze » March 20th, 2009, 4:12 pm

Note: Always un-install the prior version of VisualAPL before installing a new version.

The modifications included in version 1.5.8123 of the installer include:
An implicit cast from a VisualAPL array of string vectors to a .Net string[,] array is implemented. A .Net solution example containing C# console project ˜test harness which references a VisualAPL class library illustrates how this operates. This example is found here.

The modifications included in version 1.5.8117 of the installer include:
(a) The DataRepresentation()
Last edited by joe_blaze on April 7th, 2009, 12:16 pm, edited 2 times in total.
joe_blaze
 
Posts: 347
Joined: February 11th, 2007, 3:09 am
Location: Box 361 Brielle, NJ 08730-0361

VisualAPL Installer 1.5.8060: US English GUI

Postby joe_blaze » March 25th, 2009, 6:43 am

The VisualAPL installer 1.5.8060 is currently designed for Visual Studio 2008 using the 'US English' GUI.

The VisualAPL project templates are installed to the Visual Studio 2008 '...\1033\...' subdirectory and may not be visible in a version of Visual Studio 2008 for another language GUI.

See the message posted "Wed Apr 01, 2009 5:00 pm" which is part of this forum thread, that describes how to copy the VisualAPL project templates installed into the '1033' subdirectory to a different language-dependent subdirectory.

The default keyboard short cuts for the APL character glyphs are also designed for the 'US English' keyboard.

Depending on the level of interest of VisualAPL licensees, APLNext may develop support for Visual APL for Visual Studio 2008 in other language GUI's.
Last edited by joe_blaze on April 7th, 2009, 2:16 pm, edited 1 time in total.
joe_blaze
 
Posts: 347
Joined: February 11th, 2007, 3:09 am
Location: Box 361 Brielle, NJ 08730-0361

Visual Studio 2008 Versions Supported by VisualAPL

Postby joe_blaze » March 25th, 2009, 5:46 pm

The VisualAPL for Visual Studio 2008 1.5.8060 installer requires that the programmer's machine have one of the following versions of Visual Studio 2008 installed:

Visual Studio 2008 Standard
Visual Studio 2008 Professional
Visual Studio 2008 Team Suite
Visual Studio 2008 VSTO

The VisualAPL for Visual Studio 2008 1.5.8070 supports the above versions of Visual Studio and, in addition, the following versions of Visual Studio Team 'editions' are now supported:

Visual Studio 2008 Architect Edition
Visual Studio 2008 Development Edition
Visual Studio 2008 Test Edition

Note that the following Visual Studio 2008 are not supported by the VisualAPL for Visual Studio installer:

Visual Studio 2008 Express
Visual Studio 2008 Database Edition

APLNext LLC may develop VisualAPL support for these 'other' versions of Visual Studio 2008 in the future.
Last edited by joe_blaze on April 7th, 2009, 12:13 pm, edited 1 time in total.
joe_blaze
 
Posts: 347
Joined: February 11th, 2007, 3:09 am
Location: Box 361 Brielle, NJ 08730-0361


Return to VisualAPL

Who is online

Users browsing this forum: No registered users and 0 guests

cron